
QGIS Application - Bug report #21247

Crash on export in any format to Arch E 600 dpi when using a lyer with inverted polygons and 

shapeburst symbology

2019-02-12 07:38 PM - Adje Prado

Status: Open

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29065

Description

Hi there,

I've tried exporting in SVG, JPEG and PDF a number of times from Layout Editor, QGIS 3.4.4 crashed every time (crash report below).

The map did export to ANSI E without problem. See also: #21247-4

Crash ID: abb1f592ce0867410d32920fd44deaa30d189ebb

Stack Trace

QColorProfile::fromSRgb :

QVectorPath::convertToPainterPath :

QRasterPaintEngine::fillRect :

QRasterPaintEngine::drawImage :

QPainter::drawImage :

QgsShapeburstFillSymbolLayer::renderPolygon :

QgsFillSymbol::renderPolygonUsingLayer :

QgsFillSymbol::renderPolygon :

QgsSymbol::renderFeature :

QgsFeatureRenderer::renderFeature :

QgsInvertedPolygonRenderer::stopRender :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererCustomPainterJob::renderSynchronously :

QgsLayoutItemMap::drawMap :

QgsLayoutItemMap::paint :

QGraphicsScene::dragMoveEvent :

QGraphicsItem::dragMoveEvent :

QGraphicsEffectSource::draw :

QgsLayoutEffect::draw :

QGraphicsScene::drawItems :

QGraphicsScene::drawItems :

QGraphicsScene::render :

QgsLayoutExporter::renderRegion :

QgsLayoutExporter::renderPage :

QgsLayoutExporter::exportToSvg :

QgsDatumTransformTableModel::columnCount :
QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-02-12 07:44 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Assignee deleted (Adje Prado)

- Crashes QGIS or corrupts data changed from No to Yes

Was this an issue on 2.18?
#2 - 2019-03-08 10:39 AM - Giovanni Manghi

Tried a number of times with a random project and didn't get any crash. Possibly is project dependent? Does it crash with the same layout configurations

and a simple project?

#3 - 2019-03-23 01:21 AM - Adje Prado

Giovanni Manghi wrote:

Tried a number of times with a random project and didn't get any crash. Possibly is project dependent? Does it crash with the same layout

configurations and a simple project?

Just tried again with a different project (some of the files were the same though) and I got the crash. Last time I had gotten close to exhausting my memory,

but this time I was only at about 60%. I'm using a different computer and version 3.6. Will test some more with this computer over the weekend. Here's the

Stack trace:

Crash ID: ae19ac74d239e7b0a2fa23f4ca3b7aee161bf2fc

Stack Trace

QColorProfile::fromSRgb :

QVectorPath::convertToPainterPath :

QRasterPaintEngine::fillRect :

QRasterPaintEngine::drawImage :

QPainter::drawImage :

QgsShapeburstFillSymbolLayer::renderPolygon :

QgsFillSymbol::renderPolygonUsingLayer :

QgsFillSymbol::renderPolygon :

QgsSymbol::renderFeature :

QgsFeatureRenderer::renderFeature :

QgsInvertedPolygonRenderer::stopRender :

QgsVectorLayerLabelProvider::registerFeature :

QgsPaintEffectMetadata::widgetFunction :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererCustomPainterJob::renderSynchronously :

QgsLayoutItemMap::drawMap :

QgsLayoutItemMap::paint :

QGraphicsScene::dragMoveEvent :

QGraphicsItem::dragMoveEvent :

QGraphicsEffectSource::draw :

QgsLayoutEffect::draw :

QGraphicsScene::drawItems :

QGraphicsScene::drawItems :

QGraphicsScene::render :

QgsLayoutExporter::renderRegion :

QgsLayoutExporter::renderPage :

QgsLayoutExporter::printPrivate :

QgsLayoutExporter::exportToPdf :

QgisApp::actionAddWcsLayer :
QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: 58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#4 - 2019-03-23 02:48 AM - Adje Prado

After a bit of testing, I think it has to do with inverted polygons with a shapeburst fill (which I'm using as a mask layer). Without the layer it works fine, but

with it, there's the crash. I thought maybe the mask polygon was invalid or something, but I ran "check validity" and it was fine. Also, the export works

without a problem if it's a simple fill in an inverted polygon. It seems like it's a bug related specifically with shapeburst fill and inverted polygons.

#5 - 2019-03-23 11:47 AM - Giovanni Manghi

2025-12-15 4/5



- Subject changed from Crash on export in any format to Arch E 600 dpi to Crash on export in any format to Arch E 600 dpi when using a lyer with 

inverted polygons and shapeburst symbology

- Description updated

- Status changed from Feedback to Open

#6 - 2019-03-23 04:10 PM - Jürgen Fischer

- Description updated
